Subject: bug#17346: 24.4.50; Why is the goal column limited to C-n and C-p ?

From: Drew Adams <[email-masked]>
Date: Sat, 30 Apr 2022 16:11:41 +0000

> On the other hand, I think anybody's who has done a `C-x C-n' would
> want <prior> and <next> to also respect the goal column, really.

Why would you assume that?

> So I think I'd be in favour of just changing the behaviour here.
> 
> Does anybody else have an opinion?

Can users not, themselves, get this behavior for
anything they like?  Can't they define a command
that does what `scroll-up-command` (or whatever)
does but also respects the goal column?

If you want to provide a user options that makes
some particular set of commands respect the goal
column, then do so.  The option value could be a
list of such commands.

Alternatively, users could maybe put some property
on the command symbol to indicate this.

However you might want to implement such a feature,
it should (1) be opt in and (2) let users control
the set of affected commands.